- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.ListLegacySoarIdpMappingGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups/list#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarIdpMappingGroups.list

Returns a paginated list of all IDP mapping groups within a specific SecOps instance. Supports filtering by display name, environments, and associated roles or permissions.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/legacySoarIdpMappingGroups`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list LegacySoarIdpMappingGroups for. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarIdpMappingGroups |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of LegacySoarIdpMappingGroups to return. The service may return fewer than this value. If unspecified, at most 50 LegacySoarIdpMappingGroups will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `legacySoarIdpMappingGroups.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of LegacySoarIdpMappingGroups. Supported filter fields: \* `displayName`: Filter by the display label. \* `permissionGroupIds`: Filter by the permission group ids. \* `socRoleIds`: Filter by the soc role ids. \* `environments`: Filter by the environments. \* `groupMembers`: Filter by the group members. Example: `filter="displayName='displayName'"` |
| `orderBy` | `string` Optional. Configures ordering of LegacySoarIdpMappingGroups in the response. If not specified, LegacySoarIdpMappingGroups are returned in descending order of their display label. The default ordering is by display label in descending order. The orderBy string is a comma separated list of fields. Supported fields: \* `displayName` example: "displayName desc" |

### Request body

The request body must be empty.

### Response body

Response message for legacySoarIdpMappingGroups.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "legacySoarIdpMappingGroups": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups#LegacySoarIdpMappingGroup`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `legacySoarIdpMappingGroups[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarIdpMappingGroups#LegacySoarIdpMappingGroup`)`` The list of LegacySoarIdpMappingGroups. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of LegacySoarIdpMappingGroups. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.legacySoarIdpMappingGroups.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).